> ## Documentation Index
> Fetch the complete documentation index at: https://developer.gptmaker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remover canal

> Remover canal



## OpenAPI

````yaml DELETE /v2/channel/{channelId}
openapi: 3.0.1
info:
  title: OpenAPI GPT Maker
  description: Documentação completa da API do GPT Maker
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.gptmaker.ai
security:
  - bearerAuth: []
paths:
  /v2/channel/{channelId}:
    delete:
      description: Remover canal
      parameters:
        - name: channelId
          in: path
          description: ID do canal
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Agente removido com sucesso
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indica se o agente foi removido com sucesso
                    example: true
                additionalProperties: false
              example:
                success: true
        '403':
          description: Erro de token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '500':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error403:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````